package exercicio.servidor;

import javax.ejb.SessionContext;

public class ContasBean implements javax.ejb.SessionBean {

    public void setSessionContext(SessionContext ctx) {
        System.out.println("setSessionContext()");
    }

    public void ejbCreate() {
        System.out.println("ejbCreate()");
    }
    public void ejbRemove() {
        System.out.println("ejbRemove()");
    }

    public void ejbActivate() {
        System.out.println("ejbActivate()");
    }
    public void ejbPassivate() {
        System.out.println("ejbPassivate()");
    }

    //
    // Metodos de negocio
    //
    public String hello() {
        System.out.println("hello() foi chamado!");
        return "Hello, World!";
    }
    
    // Implemente aqui os mtodos pedidos no exercicio
	public double soma(double arg1, double arg2) {
		System.out.println("soma("+arg1+", "+arg2+") foi chamado.");
		return arg1 + arg2;
	}
	
	public String data() {
		System.out.println("data() foi chamado.");
		java.util.Calendar agora = new java.util.GregorianCalendar();
		
		StringBuffer data = new StringBuffer();
		data.append(agora.get(java.util.Calendar.DAY_OF_MONTH)).append("/");
		data.append(agora.get(java.util.Calendar.MONTH) + 1).append("/");
		data.append(agora.get(java.util.Calendar.YEAR));
		
		StringBuffer hora = new StringBuffer();
		hora.append(agora.get(java.util.Calendar.HOUR)).append(":");
		hora.append(agora.get(java.util.Calendar.MINUTE)).append(":");
		hora.append(agora.get(java.util.Calendar.SECOND));
		
		return data + " " + hora;
	}
}

